# changed Makefile by Frank Tegtmeyer (fte@gecko.de)
# set this to your compiler
CC      = gcc

# compiler options ( -g for debugging, -O for optimizing, ... )
CC_OPTS = -Wall -O -ansi


all: ui_text.o lingua lingdemo etftest

clean:
	rm lingua lingdemo etftest *.o *.etf ui_text.h

lingua: lingua.o lingua.h
	$(CC) $(CC_OPTS) -o lingua lingua.o

lingdemo: ui_text.h ui_text.o lingdemo.o
	$(CC) $(CC_OPTS) -o lingdemo lingdemo.o ui_text.o

etftest: etftest.o ui_text.o 
	$(CC) $(CC_OPTS) -o etftest etftest.o ui_text.o

lingdemo.c: ui_text.h
	./lingua english
	./lingua francais
	./lingua deutsch
	./lingua nl

ui_text.h: english.txt
	./lingua english
	./lingua francais
	./lingua deutsch
	./lingua nl

.c.o:
	$(CC) -c $(CC_OPTS) $<

